Home CVE Database CVE-2019-12263

CVE-2019-12263

Description

Wind River VxWorks 6.9.4 and vx7 has a Buffer Overflow in the TCP component (issue 4 of 4). There is an IPNET security vulnerability: TCP Urgent Pointer state confusion due to race condition.

Priority: MEDIUM
CVSS v3: 8.1
Publish Date: Aug 9, 2019
Related ID: --
CVSS v2: HIGH
Modified Date: Aug 19, 2019

Find out more about CVE-2019-12263 from the MITRE-CVE dictionary and NIST NVD


Products Affected

Login may be required to access defects or downloads.

Product Name Status Defect Fixed Downloads
Linux
Wind River Linux LTS 17 Not Vulnerable -- -- --
Wind River Linux 9 Not Vulnerable -- -- --
Wind River Linux 8 Not Vulnerable -- -- --
Wind River Linux 7 Not Vulnerable -- -- --
Wind River Linux LTS 18 Not Vulnerable -- -- --
VxWorks
VxWorks 7 Fixed -- 2.1.0.0; 1.4.3.1 Wind River TCP/IP Stack (IPNET) Vulnerabilities
VxWorks 6.9 Vulnerable -- -- Wind River TCP/IP Stack (IPNET) Vulnerabilities
VxWorks 6.8 Vulnerable -- -- Wind River TCP/IP Stack (IPNET) Vulnerabilities
VxWorks 6.7 Vulnerable -- -- Wind River TCP/IP Stack (IPNET) Vulnerabilities
VxWorks 6.6 Vulnerable -- -- Wind River TCP/IP Stack (IPNET) Vulnerabilities
VxWorks 6.4 Not Vulnerable -- -- --
VxWorks 5.5 Not Vulnerable -- -- --

Related Products

Product name Status
Linux
Linux 7 SCP Not Vulnerable
Linux 7 CGP Not Vulnerable

Comments

It doesn\'t impact WRLinux

Live chat
Online